No se pudo cargar el módulo "canberra-gtk-module"

34

Hoy instalé:

  1. Ubuntu 12.04
  2. Oracle JDK 7 y 8
  3. IntelliJ 11.1.4

Configuré mi ruta JAVA_HOME para apuntar a JDK 7.

Cuando ejecuto IntelliJ obtengo este mensaje:

Gtk-Message: Failed to load module "canberra-gtk-module"

¿Es esto un problema o puedo pasar por alto esto?

    
pregunta Harrison Brock 30.10.2012 - 00:44

3 respuestas

56

Lo arreglé instalando el módulo:

sudo apt-get install libcanberra-gtk-module

O si ya está instalado y todavía obtiene el error:

sudo apt-get install libcanberra-gtk-module:i386
    
respondido por el Harrison Brock 30.10.2012 - 01:08
3

Esta pregunta tiene 4 años y 8 meses. Ahora es julio de 2017.

En una Raspberry Pi 3B ejecutando Raspbian Jessie y Ubuntu 16.04 LTS recibía este error.

  

Error al cargar el módulo "canberra-gtk-module"

Es bastante genérico.

La buena noticia es que la solución es fácil. Simplemente ingrese:

sudo apt-get install libcanberra-gtk-module

instaló algunas cosas ...

Entonces nunca apareció de nuevo.

    
respondido por el SDsolar 20.07.2017 - 08:30
1

sucedió con una aplicación qt5 que usa el tema gtk en Ubuntu MATE

$ ./my-application
Gtk-Message: Failed to load module "canberra-gtk-module"
Gtk-Message: Failed to load module "topmenu-gtk-module"

ubiquemos las libs

$ locate libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-2.0/modules/libcanberra-gtk-module.so
/usr/lib/x86_64-linux-gnu/gtk-3.0/modules/libcanberra-gtk-module.so

establecer LD_LIBRARY_PATH resuelve el problema

$ LD_LIBRARY_PATH=/usr/lib/x86_64-linux-gnu/gtk-3.0/modules:$LD_LIBRARY_PATH ./my-application

o desarmar la variable de entorno GTK_MODULES

$ unset GTK_MODULES; ./my-application
    
respondido por el neok 08.08.2017 - 12:40

Lea otras preguntas en las etiquetas